Bug 22872 - Не правильный путь к pygtk.h
: Не правильный путь к pygtk.h
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-pygtk)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-02 17:22 by
Modified: 2010-02-04 16:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-02-02 17:22:16
пакет python-module-pygtk-devel-2.17.0-alt2.1

В /usr/lib/pkgconfig/pygtk-2.0.pc указано что
pygtkincludedir=${includedir}/python2.6/pygtk

а на самом деле в /usr/include/python2.6/pygtk/pygtk/pygtk/pygtk.h

Из-за этого pygtk.h не находится.
------- Comment #1 From 2010-02-02 18:30:39 -------
2.17.0-alt2 работает?
------- Comment #2 From 2010-02-02 18:55:53 -------
(In reply to comment #1)
> 2.17.0-alt2 работает?

Чего ж ему не работать. Сломано в 2.1
...
-mkdir -p %buildroot%_includedir/python%__python_version

-mv %buildroot%_includedir/pygtk-2.0
%buildroot%_includedir/python%__python_version/pygtk

-%__subst
"s|\${includedir}/pygtk-2.0|\${includedir}/python%__python_version/pygtk|g"
%buildroot/%_pkgconfigdir/*.pc

+mkdir -p %buildroot%_includedir/python%_python_version/pygtk/pygtk

+mv %buildroot%_includedir/pygtk-2.0/* \

+       %buildroot%_includedir/python%_python_version/pygtk/pygtk/

+subst
"s|\${includedir}/pygtk-2.0|\${includedir}/python%_python_version/pygtk|g" \

+       %buildroot/%_pkgconfigdir/*.pc
...
------- Comment #3 From 2010-02-02 23:14:32 -------
python-module-pygtk-2.17.0-alt3 -> sisyphus:

* Tue Feb 02 2010 Yuri N. Sedunov <aris@altlinux> 2.17.0-alt3

- rejected all destructive changes from previous release (closes #22872)
------- Comment #4 From 2010-02-03 19:50:55 -------
2 real: затшэм ламал, да? :)